Subject: [Gen-art] Gen-art review of draft-ietf-httpbis-method-registrations-14

From: "Moriarty, Kathleen" <[email-masked]>
Date: Mon, 18 Nov 2013 16:02:30 -0500

Document: draft-ietf-httpbis-method-registrations-14
Reviewer: Kathleen Moriarty
Review Date: November 18, 2013
IETF LC End Date:
IESG Telechat date: 12/19
 
Summary:
Please check idnits, there are several issues to resolve.  You can see the list from the data tracker version of the draft and just use the "Check nits" link.
https://datatracker.ietf.org/doc/draft-ietf-httpbis-method-registrations/?include_text=1 
Once the idnits are resolved satisfactorily, the document is ready for publication.

Major issues:
 
Minor issues:
 
Nits/editorial comments:

---

From: Julian Reschke <[email-masked]>
Date: Mon, 18 Nov 2013 22:09:21 +0100

On 2013-11-18 22:02, Moriarty, Kathleen wrote:
> ...

The issues reported are:

>   Checking nits according to http://www.ietf.org/id-info/checklist :
>   ----------------------------------------------------------------------------
>
>   == There are 2 instances of lines with non-RFC5735-compliant IPv4 addresses
>      in the document.  If these are example addresses, they should be changed.

No, there aren't.

>   Miscellaneous warnings:
>   ----------------------------------------------------------------------------
>
>   -- The document seems to lack a disclaimer for pre-RFC5378 work, but may
>      have content which was first submitted before 10 November 2008.  If you
>      have contacted all the original authors and they are all willing to grant
>      the BCP78 rights to the IETF Trust, then this is fine, and you can ignore
>      this comment.  If not, you may need to add the pre-RFC5378 disclaimer.
>      (See the Legal Provisions document at
>      http://trustee.ietf.org/license-info for more information.)

No, it doesn't (why does idnits think so?)

>   Checking references for intended status: Informational
>   ----------------------------------------------------------------------------
>
>   ** Obsolete normative reference: RFC 2068 (Obsoleted by RFC 2616)

RFC 2068 currently is the only document that defines LINK/UNLINK. The 
only thing we can do here is to declare all references in the 
registrations to be informative, but I really really don't see why it 
would matter here.

Best regards, Julian

---

From: "Moriarty, Kathleen" <[email-masked]>
Date: Mon, 18 Nov 2013 16:39:30 -0500

Hi Julian,

Sorry, I should have looked at the comparison, the 'IP address' error is picking up on a section number that went to the next line and does not have Section in front of it.  This is fine.

As for the pre-2008 message, I can't see why that is getting picked up by idnits, but it is just a warning.

The for the third one, in RFC2616, the header says that it 'obsoletes' RFC2068 as opposed to saying it 'updates' RFC2068.  I am not sure how this one should get handled as RFC2068 is listed as obsolete and referencing it may be an issue.  Was there a decision to deprecate this functionality when the RFC was revised?

Maybe either Jari or Barry have an opinion on how to handle the last one.

Thanks,
Kathleen
________________________________________
From: Julian Reschke [[email-masked]]
Sent: Monday, November 18, 2013 4:09 PM
To: Moriarty, Kathleen; [email-masked]; [email-masked]; [email-masked]; HTTP Working Group
Subject: Re: Gen-art review of  draft-ietf-httpbis-method-registrations-14

No, there aren't.

Best regards, Julian

---

From: Julian Reschke <[email-masked]>
Date: Mon, 18 Nov 2013 22:42:51 +0100

> Maybe either Jari or Barry have an opinion on how to handle the last one.

Whatever happened here happened 14 years ago.

This spec just populates the IANA registry, and RFC 2068 is the latest 
spec that defines LINK and UNLINK.

Best regards, Julian

---

From: Barry Leiba <[email-masked]>
Date: Tue, 19 Nov 2013 12:53:04 -0500

> No, it doesn't (why does idnits think so?)

Oh, geez, you really want to know?

Look at the history of the document:
- Up through version -02, it was marked as "updates httpbis part 2".
- httpbis part 2 version -00 was posted before RFC 5378.
- The current version of httpbis part 2 does not include all the
authors that were included in the -00 version.

Through some combination of that history, it's possible that this
document has text from httpbis part 2 version -00, and that not all
the original authors have signed off on that.

So idnits is just raising a flag.  As it says, if this isn't a
problem, then it isn't a problem.  Kathleen was just pointing out that
idnits raised the flag, and asked you to check.

You checked.  All is well.  (We all have to remember that idnits is
only a tool....)

> RFC 2068 currently is the only document that defines LINK/UNLINK. The only
> thing we can do here is to declare all references in the registrations to be
> informative, but I really really don't see why it would matter here.

Again, only a tool.  This is not an issue.  We have references to
obsolete documents periodically, and that's fine.  This is fine.  On
the other hand, we have many occasions where documents become obsolete
after they're put in as references, so it's good to check.

Again, you checked, and all is well.  No need to wrap ourselves around
that further.

Barry

---

From: Julian Reschke <[email-masked]>
Date: Wed, 20 Nov 2013 17:32:34 +0100

> authors that were included in the -00 version.

Wow. I didn't realize that idnits went through that much trouble :-)

> You checked.  All is well.  (We all have to remember that idnits is

Actually, I have checked that before :-). (I look at idnits' output 
before submitting drafts...)

> Again, you checked, and all is well.  No need to wrap ourselves around

Understood.

Best regards, Julian